Subject: [bess] 答复: [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

From: "huangyang (E)" <[email-masked]>
Date: Mon, 1 Jul 2019 07:07:18 +0000

Hi，
Thanks for your reply, but I see in RFC 8365, there is description like this :

In section “9.  Support for Multicast”: “The originating router's IP address field is set to the NVE's IP address.”

In section “5.1.3.  Constructing EVPN BGP Routes” : “The Next Hop field of the MP_REACH_NLRI attribute of the route MUST
   be set to the IPv4 or IPv6 address of the NVE.  The remaining fields
   in each route are set as per [RFC7432].”

It is confused that if the addresses described in above two places is the same ip address or not. So I am not confirm that there

may be some situations where the originating router's IP address is not equal to bgp next hop.

Or the IMET route construction in vxlan scenario is not follow the same rule as in mpls scenario(rfc7432) ?

Thanks

Yang Huang

发件人: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]
发送时间: 2019年7月1日 14:51
收件人: huangyang (E) <[email-masked]>; [email-masked]
主题: Re: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

Hi,

I think you should construct the ingress replication tunnels using the next hop of the IMET routes, otherwise you will have issues with inter-as model B scenarios. The received originating IP and next-hop at the ingress PE do not need to be the same.
Thanks.
Jorge

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "huangyang (E)" <[email-masked]<mailto:[email-masked]>>
Date: Monday, July 1, 2019 at 8:46 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

Hi WG,

In the charpter 11.2 of RFC 7432:

11.2.  P-Tunnel Identification
"...+ If the PE that originates the advertisement uses ingress
replication for the P-tunnel for EVPN, the route MUST include the
PMSI Tunnel attribute with the Tunnel Type set to Ingress
Replication and the Tunnel Identifier set to a routable address of
the PE."

a routable address of the PE is not so strict. And does this mean
we use the Tunnel Identifier to construct P2P tunnel for ingress
replication, or we use the Originating Router's IP Address in the
IMET route key, or they are equivalent meaning?

And I see it use the BGP Next hop to construct P2P tunnel for BUM
ingress relication in RFC8365, Should Originating Router’s IP Address,
the IP address of BGP Next hop, Tunnel Identifier in PMSI, be the same
IP address?

Now, this may cause interact problems when it implements differently.
Could you clarify this? Thanks.

Brgds,

Yang Huang